#include <PololuQTRSensors.h>

#define NUM_SENSORS   6    // Sensors used
#define TIMEOUT       2500 // Wait max of 2500us for sensors 
#define EMITTER_PIN   8    // Emitter control on D8 

PololuQTRSensorsRC qtrrc((unsigned char[]) 
  {A0, A1, A2, A3, A4, A5},
  NUM_SENSORS, TIMEOUT, EMITTER_PIN); 
unsigned int sensorValues[NUM_SENSORS];

void setup() {
  delay(500);
  int i;
  pinMode(13, OUTPUT);
  digitalWrite(13, HIGH);      // LED to show calibration mode
  for (i = 0; i < 400; i++) {
    qtrrc.calibrate();
  }

  digitalWrite(13, LOW);       // Calibration done; turn off LED
  Serial.begin(9600);          // Set up serial comm
}

void loop() {
  // Read sensors
  unsigned int position = qtrrc.readLine(sensorValues); 
  // Sensor values as numbers from 0 to 9: 
  // 0 means maximum reflectance, 9 means minimum reflectance, 
  //   followed by the line position
  unsigned char i;
  for (i = 0; i < NUM_SENSORS; i++) {
    Serial.print(sensorValues[i] * 10 / 1001);
    Serial.print(' ');
  }

  Serial.print("    ");
  Serial.println(position);
  delay(250);
}

